Bug Hunting Session
Bug 78976 - EDITING: Cannot edit array formula preceded by formula (?)
Summary: EDITING: Cannot edit array formula preceded by formula (?)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 14:58 UTC by oscar.0
Modified: 2014-06-04 14:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oscar.0 2014-05-20 14:58:22 UTC
Problem description: Multi-cell array formula cannot be edited under certain conditions

Steps to reproduce:
1) Open new spreadsheet.
2) In cell A1, enter number "1".
3) In cell B1, enter number "2".
4) In cell A3, enter array formula "{=TRANSPOSE(A1:B1)}". Cells A3 and A4 should now display "1" and "2", respectively.
5) Select cells A3 and A4
6) Press key F2 to make sure that array formula could be edited if required (A3 should show formula "=TRANSPOSE(A1:B1)").
7) In cell A2, enter formula "=0".
8) Select cells A3 and A4 as in step 5.
9) Press F2 as in step 6 to now get an error message "You cannot change only part of an array."

Current behavior: Formula cannot be edited in step 9.

Expected behavior: It should be possible to edit the formula in step 9 like in step 6.
Operating System: All
Version: 4.2.4.2 release
Comment 1 m.a.riosv 2014-05-20 20:51:08 UTC
Hi Oscar, thanks for reporting.

Reproducible with:
Win7x64Ultimate
Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Version: 4.2.5.0.0+ Build ID: d758875cd0ea87f8c7bbe1bbb78e49d06254cbee
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-17_04:23:54

Last version working for me:
Version: 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a

Change the version to the first with the bug.
Comment 2 Kohei Yoshida 2014-05-27 15:49:15 UTC
I'll take this.
Comment 3 Commit Notification 2014-05-27 18:49:00 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=175519643daa87ba3e65eb4b52df3c8a2f60ac64

fdo#78976: Test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-27 18:49:15 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=054213e86b8f3b1084474b0447cc7ffaf82178c5

fdo#78976: Correct way to determine the end position for matrix check.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-05-27 18:50:10 UTC
4.2 backport: https://gerrit.libreoffice.org/9512
Comment 6 Commit Notification 2014-05-27 18:50:46 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfb16892305f14ad9f6d5ed3724fe52a4e88ce62&h=libreoffice-4-3

fdo#78976: Correct way to determine the end position for matrix check.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-28 10:26:50 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20857b5d7536b3fcafa16ca6527ba459032933d7&h=libreoffice-4-2

fdo#78976: Correct way to determine the end position for matrix check.


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2014-05-28 10:35:00 UTC
Pending review for 4-2-5 at https://gerrit.libreoffice.org/9528
Comment 9 Kohei Yoshida 2014-05-28 23:06:46 UTC
I'll mark this fixed for the time being.
Comment 10 Commit Notification 2014-06-04 14:18:19 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6de7b5b8c948082532a0e72f496e99438bac0a0b&h=libreoffice-4-2-5

fdo#78976: Correct way to determine the end position for matrix check.


It will be available already in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.